﻿using System;
using System.Drawing;
using System.IO;
using System.Windows.Forms;

namespace Game131029
{
	public partial class Form2 : Form
	{
		private readonly bool exist;

		public bool IsExist
		{
			get
			{
				return this.exist;
			}
		}

		public Form2()
		{
			InitializeComponent();
			string path = Program.ExeDir + Path.DirectorySeparatorChar + "Manual.txt";
			if (!File.Exists(path))
			{
				this.exist = false;
			}
			else
			{
				this.exist = true;
				this.label1.Text = File.ReadAllText(path, Program.ShiftJisEncoding);
				this.ClientSize = new Size(this.label1.Size.Width + 8 + 16, 312 + 8 + 32);
			}
		}

		protected override void OnMouseEnter(EventArgs e)
		{
			this.Focus();
			base.OnMouseEnter(e);
		}

		protected override void OnMouseWheel(MouseEventArgs e)
		{
			this.panel1.AutoScrollPosition = new Point(0, this.panel1.VerticalScroll.Value - (e.Delta >> 1));
			base.OnMouseWheel(e);
		}
	}
}
