﻿using System;
using System.Windows.Forms;

namespace Game131029
{
	public partial class Form4 : Form
	{
		public string ScoreName { get; private set; }

		public Form4()
		{
			InitializeComponent();
		}

		protected override void OnFormClosing(FormClosingEventArgs e)
		{
			if (string.IsNullOrEmpty(this.textBox1.Text))
			{
				e.Cancel = true;
			}
			base.OnFormClosing(e);
		}

		public void SetScore(int value)
		{
			this.label1.Text = "$" + value.ToString() + " でTop10 入りしました。名前を入力してください。";
		}

		private void textBox1_TextChanged(object sender, EventArgs e)
		{
			if (string.IsNullOrEmpty(this.textBox1.Text))
			{
				this.button1.Enabled = false;
			}
			else
			{
				this.button1.Enabled = true;
				if (Program.ShiftJisEncoding.GetByteCount(this.textBox1.Text) > 12)
				{
					this.textBox1.Text = this.ScoreName;
				}
				else
				{
					this.ScoreName = this.textBox1.Text;
				}
			}
		}

		private void button1_Click(object sender, EventArgs e)
		{
			this.Close();
		}
	}
}
