﻿using System.Drawing;
using System.Windows.Forms;

namespace Game131029
{
	public partial class Form3 : Form
	{
		private Score[] scores;
		private int spot;

		public Form3()
		{
			InitializeComponent();
		}

		public void SetScores(Score[] scores, int spot)
		{
			this.scores = scores;
			this.spot = spot;
		}

		private void unflickerPanel1_Paint(object sender, PaintEventArgs e)
		{
			e.Graphics.Clear(this.BackColor);
			for (int i = 0, top = 8; i < this.scores.Length; top += 16)
			{
				Brush brush = i != this.spot ? Brushes.Black : Brushes.Red;
				e.Graphics.DrawString(this.scores[i].ToString(++i), this.unflickerPanel1.Font, brush, 0, top);
			}
		}
	}
}
